Bug 1316562 - hammer content-view incorrectly shows a deprecation message for --id
hammer content-view incorrectly shows a deprecation message for --id
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: Beta
: --
Assigned To: John Mitsch
: Triaged
: 1313755 1319738 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2016-03-10 08:34 EST by Tom McKay
Modified: 2016-07-27 07:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-27 07:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14139 None None None 2016-04-22 12:30 EDT

  None (edit)
Description Tom McKay 2016-03-10 08:34:07 EST
$ hammer content-view info --id 11
Warning: Option --id is deprecated. This option will be removed in Katello 2.5, Use --uuid

This message is only applicable to the puppet-module subcommand.
Comment 1 Tom McKay 2016-03-10 08:34:09 EST
Created from redmine issue http://projects.theforeman.org/issues/14139
Comment 3 Jan Hutař 2016-03-10 15:53:36 EST
This might be a duplicate of 1313755
Comment 4 Brad Buckingham 2016-03-21 10:14:15 EDT
*** Bug 1313755 has been marked as a duplicate of this bug. ***
Comment 5 Brad Buckingham 2016-03-21 10:17:59 EDT
*** Bug 1319738 has been marked as a duplicate of this bug. ***
Comment 6 Brad Buckingham 2016-03-21 10:18:42 EDT
In resolving this bug, please ensure that the deprecation warning is addressed in all cases (e.g. refer to bugs marked as a duplicate of this one).
Comment 8 Oleksandr Shtaier 2016-03-21 10:32:20 EDT
Also, that issue can have impact for our test automation scripts as mentioned message is unexpected when we analyze command outputs
Comment 9 Bryan Kearney 2016-03-23 16:11:02 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/14139 has been closed
John Mitsch
Applied in changeset commit:hammer-cli-katello|dc66758c58de8a41694c51db1185cb23860003d3.
Comment 13 jcallaha 2016-04-01 11:08:06 EDT
Verified in Satellite 6.2 Beta Snap 6. No depreciation method display in all related examples given.
Comment 15 Bryan Kearney 2016-07-27 07:27:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.